package com.logicbig.example;

import javax.persistence.*;

@Entity
public class Employee {
    @Id
    @GeneratedValue
    private long id;
    private String name;
    private long salary;
    @ManyToOne(cascade = CascadeType.ALL)
    private Department dept;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }


    public long getSalary() {
        return salary;
    }

    public void setSalary(long salary) {
        this.salary = salary;
    }

    public Department getDept() {
        return dept;
    }

    public void setDept(Department dept) {
        this.dept = dept;
    }

    public static Employee create(String name, int salary, Department dept) {
        Employee e = new Employee();
        e.setName(name);
        e.setSalary(salary);
        e.setDept(dept);
        dept.addEmployee(e);
        return e;
    }

    @Override
    public String toString() {
        return "Employee{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", salary=" + salary +
                ", dept='" + dept.getName() + '\'' +
                '}';
    }
}